Payment Details
By calling this method an Online Shop can receive detailed information regarding a payment based on the payment identifier. A different response with payment details will be returned depending on which payment option is used (a card or an internet-banking user) and what kind of payment method is used (with or without a pre-authorization)
Parameters
order_idrequiredstring
- REQUEST
GET /api/v1/checkout/payment/{order_id}
Content-Type: application/json
Authorization: Bearer <jwt_token>
Response
statussuccess | error | in_progress
Payment Status. Can have one of the three following values.
success- A payment is successful.error- A payment is unsuccessful.in_progress- A payment is not completed and if in one hour from an order generation a customer will not complete a payment, it will be automatically canceled and status will change to anerror. This status is assigned to a payment when a customer is being redirected to the Bank’s Online Payment Webpage. While the change of this status happens once the payment is complete either successfully or unsuccessfully.
payment_hashstring
payment_hash should be stored on a Merchant side. The values received from a Callback method in a payment_hash and an order_id should be compared to the ones stored on a Merchant side.
ipay_payment_idstring
status_descriptionstring
shop_order_idstring
payment_methodstring
Payment Method.
BOG_CARDA payment is performed with an authorization.GC_CARDA payment is performed using a card.BOG_LOANAn installment purchase.BOG_LOYALTYA payment is performed utilizing PLUS or MR points.UNKNOWNIn case an order status iserrororin_progress.
card_typestring
In this parameter, a card type is passed when a payment method is BOG_CARD or GC_CARD. In all other cases, an UNKNOWN should be passed in this parameter
MC- MastercardVISA- VisaAMEX- American Express
panstring
A 16-digit card number. Only the first 6 and last 4 digits are displayed. The rest digits are replaced by an * symbol. This parameter is filled only if a payment status is success and a payment_method is GC_CARD
transaction_idstring
Transaction ID. Is filled only when the payment status is success and payment_method is GC_CARD.
pre_auth_statusstring
Pre-authorization status. Is returned only when during an order generation a capture_method is MANUAL and the order status is success
success- Pre-authorization is verified and the payment amount is transferred to a Merchant.in_progress- Pre-authorization is in progress. A payment amount is blocked and it is possible to verify and unblock it.success_unblocked- Pre-authorization is unblocked. A payment Amount is returned to a customer account and is available for a customer.
- BOG Payment
- Card Payment
- Pre-auth Payment
{
"status": "success",
"order_id": "{order_id}",
"payment_hash": "{payment_hash}",
"ipay_payment_id": "{ipay_payment_id}",
"status_description": "PERFORMED",
"shop_order_id": "123456789",
"payment_method": "BOG_CARD",
"card_type": "MC",
}
{
"status": "success",
"order_id": "{order_id}",
"payment_hash": "{payment_hash}",
"ipay_payment_id": "{ipay_payment_id}",
"status_description": "PERFORMED",
"shop_order_id": "123456789",
"payment_method": "GC_CARD",
"card_type": "MC",
"pan": "9000XXXXXXXX0000001",
"transaction_id": "{transaction_id}"
}
{
"status": "success",
"order_id": "{order_id}",
"pre_auth_status": "success",
"payment_hash": "{payment_hash}",
"ipay_payment_id": "{ipay_payment_id}",
"status_description": "PERFORMED",
"shop_order_id": "123456789",
"payment_method": "GC_CARD",
"card_type": "MC",
"pan": "9000XXXXXXXX0000001",
"transaction_id": "{transaction_id}"
}